Buteo::AccountsHelper Class Reference

Helper Class towards Accounts::Manager and various SSO related operations. More...

`#include <AccountsHelper.h>`

Inheritance diagram for Buteo::AccountsHelper:

## Public Slots

void | createProfileForAccount (Accounts::AccountId id)
| This method is used to create profiles for a specified account.
void | slotAccountRemoved (Accounts::AccountId id)
| slot for Accounts::Manager accountRemoved signal
void | slotSchedulerSettingsChanged (const char *aKey)

## Signals

void | enableSOC (const QString &aProfileName)
void | scheduleUpdated (const QString &aProfileName)
void | removeProfile (QString profileId)
void | removeScheduledSync (const QString &profileId)

## Public Member Functions

| AccountsHelper (ProfileManager &aProfileManager, QObject *aParent=nullptr)
| Constructor.
virtual | ~AccountsHelper ()
| Destructor.
QList< SyncProfile * > | getProfilesByAccountId (Accounts::AccountId id)
| Returns sync profiles that correspond to a given account ID.

## Detailed Description

Helper Class towards Accounts::Manager and various SSO related operations.

## Constructor & Destructor Documentation

## AccountsHelper()

AccountsHelper::AccountsHelper | ( | ProfileManager & | aProfileManager,
|  | QObject * | aParent = nullptr )

Constructor.

Parameters

  aProfileManager | - reference to Profile Manager Object
  aParent | - Parent object

## Member Function Documentation

## createProfileForAccount

void AccountsHelper::createProfileForAccount | ( | Accounts::AccountId | id | ) |

slot

This method is used to create profiles for a specified account.

Parameters

  id | Accounts Id

## getProfilesByAccountId()

QList< SyncProfile * > AccountsHelper::getProfilesByAccountId | ( | Accounts::AccountId | id | ) |

Returns sync profiles that correspond to a given account ID.

Parameters

  id | - The account ID.

Returns
  A list of sync profiles. The caller should delete the profiles after use.

## slotAccountRemoved

void AccountsHelper::slotAccountRemoved | ( | Accounts::AccountId | id | ) |

slot

slot for Accounts::Manager accountRemoved signal

Parameters

  id | of the accounts

The documentation for this class was generated from the following files:

- AccountsHelper.h
- AccountsHelper.cpp